<?php require_once('Connections/cn.php'); 
require_once('Connections/conn.php'); ?>
<?php
$id_alumno=$_GET['id_alumno'];
$id_carrera=$_GET['id_carrera'];
$id_mencion=$_GET['id_mencion'];
$promocion=$_GET['promocion'];
	
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
	
// Extrae el nombre del alumno.
$sqlAlum = "SELECT apellidos, nombres FROM alumnos WHERE id_alumno='$id_alumno'";
$rstAlum = mysql_query($sqlAlum, $cn) or die(mysql_error());
$rowAlum = mysql_fetch_assoc($rstAlum);
$nombres=$rowAlum['apellidos'].' '.$rowAlum['nombres'];
		
// Extrae el nombre del alumno.
$sqlMencion = "SELECT mencion FROM  carreras_alumno WHERE id_alumno='$id_alumno' AND id_carrera='$id_carrera' and status='ACTIVA'";
$rstMencion = mysql_query($sqlMencion, $cn) or die(mysql_error());
$rowMencion = mysql_fetch_assoc($rstMencion);


// Extrae el nombre del alumno.
$sqlGraduando = "SELECT apellidos, nombres FROM graduandos WHERE id_alumno='$id_alumno' AND id_carrera='$id_carrera'";
$rstGraduando = mysql_query($sqlGraduando, $cn) or die(mysql_error());
$rowGraduando = mysql_num_rows($rstGraduando);
if($rowGraduando==0){			
   // Extrae el nombre del alumno.
   $sqlEgresados = "SELECT apellidos, nombres FROM egresados WHERE id_alumno='$id_alumno' AND id_carrera='$id_carrera'";
   $rstEgresados = mysql_query($sqlEgresados, $cn) or die(mysql_error());
   $rowEgresados = mysql_fetch_assoc($rstEgresados);	
   if($rowEgresados==0){
      // Extrae el numero de materias y créditos para grado de la carrera.
      $query_rstCarreras = "SELECT num_materias,creditos_grado,nombre_mencion FROM menciones WHERE id_carrera='$id_carrera' and id_mencion='$id_mencion'";
	  echo $query_rstCarreras.'<br>';
	  $rstCarreras = mysql_query($query_rstCarreras, $cn) or die(mysql_error());
	  $row_rstCarreras = mysql_fetch_assoc($rstCarreras);
	  $num_materias=$row_rstCarreras['num_materias'];
	  $num_creditos=$row_rstCarreras['creditos_grado'];
	  
	  echo "Numero de Creditos: ".$num_creditos.'<br>';
	   echo "Numero de Materias: ".$num_materias.'<br>';
	   $materias_aprobadas=materias_aprobadas($id_alumno, $id_carrera);
	   $creditos_aprobados=creditos_aprobados($id_alumno, $id_carrera);
	   echo "Materias Aprobadas: ".$materias_aprobadas.'<br>';
	   echo "Creditos Aprobados: ".$creditos_aprobados.'<br>';
	  //Calculo el numero de materias aprobadas del alumno.
	  if($materias_aprobadas>=$num_materias){
	     // Valida el número de creditos aprobados por el participante en el programa
	     if($creditos_aprobados<$num_creditos){ ?>
		    <script type="text/javascript">
			  	   msj="Estudiante " +'<<<?php echo $nombres; ?>>>'+"\nNO ha aprobado todos los Créditos de la Mención.";
				   alert(msj);
				   window.parent.graduandos.promocion.focus();
				   window.parent.graduandos.promocion.value=0;
		    </script>
		 <?php
	     }
	  }
	  else { ?>
		   <script type="text/javascript">
			msj="Estudiante " +'<<<?php echo $nombres; ?>>>'+"\nNo ha aprobado todas las Unidades Curriculares de la Carrera.";
			alert(msj);
			window.parent.document.graduandos.promocion.focus();
			window.parent.document.graduandos.promocion.value=0;
		 </script>
		<?php
	  }	
   }
   else {
	   ?>
	    <script type="text/javascript">
			msj="Estudiante " +'<<<?php echo $nombres; ?>>>'+" ya está graduando en esta Carrera.";
			alert(msj);
			window.parent.document.graduandos.promocion.value=0;
			window.parent.document.graduandos.promocion.focus();		
	   </script>
<?php
   }
}
else{
	   ?>
	    <script type="text/javascript">
			msj="Estudiante " +'<<<?php echo $nombres; ?>>>'+" ya está incluido como graduando.";
			alert(msj);
			window.parent.document.graduandos.promocion.value=0;
			window.parent.document.graduandos.promocion.focus();		
	   </script>
<?php
} 
?>



<?php function materias_aprobadas($id_alumno, $id_carrera){
   // Función que calcual el Indice Académico de un Alumnno.
   global $conn;
	//Busco todas las calificaciones del participante en el programa del cual egresará.
   $sql_aprobadas ="SELECT historico_notas.id_materia,historico_notas.nota, historico_notas.aprobacion, historico_notas.valoracion, historico_notas.cualitativa, historico_notas.semestre FROM historico_notas WHERE historico_notas.id_alumno='$id_alumno' AND historico_notas.id_carrera='$id_carrera'";
   $rst_aprobadas = mysql_query ($sql_aprobadas,$conn ) or die (mysql_error()); 

   // Inicializo variables.
   $aprobadas=0;
   while($row_aprobadas = mysql_fetch_assoc($rst_aprobadas))
   {
      $codigo  = $row_aprobadas['id_materia'];	   // C�digo de la Materia
	  $semestre= $row_aprobadas['semestre'];	
	   //*****
	  // Se obtienen las materias que el alumno ha cursado.
	  mysql_select_db($database_conn, $conn);
	  $query1 = "Select
	  *
	  From
	  materias
	  Where
	  id_materia= '$codigo' and id_carrera='$id_carrera'";
	  // Ejecuta el Query.
	  $result1 = mysql_query ($query1) or die (mysql_error()); 
	  $filas = mysql_num_rows($result1);
	  $nota='';
	  if($filas>0)
	  {
	    $nota      = $row_aprobadas['nota'];    // Nota
	    $valoracion= $row_aprobadas['valoracion'];    // Forma de Aprobacion
        $cualitativa= $row_aprobadas['cualitativa'];
	    if($valoracion=='CUANTITATIVA'){
		   if($semestre>0) {
	          if($nota>=10) $aprobadas=$aprobadas+1;
		   }
	    }
        else{
		    if($semestre>0) {
	           if($cualitativa=='APROBADA' or $cualitativa=='APROBADO') $aprobadas=$aprobadas+1;
		    } 	
	    } 
      }
	}
	
	return $aprobadas;
}

function creditos_aprobados($id_alumno, $id_carrera)
{
      // Función que calcual el Indice Académico de un Alumnno.
   global $conn;
	//usco todas las calificaciones del participante en el programa del cual egresará.
   $sql_ca ="SELECT DISTINCT historico_notas.id_materia,historico_notas.nota, historico_notas.aprobacion, materias.uc, historico_notas.valoracion, historico_notas.cualitativa, historico_notas.semestre FROM historico_notas, materias WHERE historico_notas.id_alumno='$id_alumno' AND historico_notas.id_carrera='$id_carrera' and historico_notas.id_materia=materias.id_materia and historico_notas.id_carrera=materias.id_carrera ";
   $rst_ca = mysql_query ($sql_ca,$conn ) or die (mysql_error()); 

   // Inicializo variables.
   $aprobados=0;
   while($row_ca = mysql_fetch_assoc($rst_ca))
   {
	  $nota      = $row_ca['nota'];    // Nota
	  $aprobacion= $row_ca['aprobacion'];    // Forma de Aprobacion
      $uc=$row_ca['uc'];  
	  $nota      = $row_ca['nota'];    // Nota
	  $valoracion= $row_ca['valoracion'];    // Forma de Aprobacion
      $cualitativa= $row_ca['cualitativa'];
	  if($valoracion=='CUANTITATIVA'){
	     if($nota>=10)$aprobados=$aprobados+$uc;
	  }
      else{
	       if($cualitativa=='APROBADA' or $cualitativa=='APROBADO') $aprobados=$aprobados+$uc;
	  }   
   }
	return $aprobados;
}
?>
		
	